Get the starred messages of the authenticated user in a room.
Changelog
| Version | Description |
|---|---|
| 9.0.0 | Returns 403 with errorType: error-forbidden instead of 400 when the request is refused. |
| 2.2.0 | Added |
The userId of the authenticated user.
The authToken of the authenticated user.
The room ID.
Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the official documentation to learn more.
List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, { "value": -1, "_id": 1 }. Refer to the official documentation to learn more.
OK
{
"messages": [
{
"_id": "652dc4dda2f73c7460e18df8",
"t": "discussion-created",
"rid": "6GFJ3tbmHiyHbahmC",
"ts": "2023-10-16T23:18:53.926Z",
"msg": "test discuss",
"u": {
"_id": "rbAXPnMktTFbNpwtJ",
"username": "roxie",
"name": "test test"
},
"groupable": false,
"drid": "652dc4dda2f73c7460e18df6",
"_updatedAt": "2023-10-17T12:51:07.826Z",
"dcount": 3,
"dlm": "2023-10-16T23:25:58.375Z",
"starred": [
{
"_id": "5fRTXMt7DMJbpPJfh"
}
]
}
],
"count": 1,
"offset": 0,
"total": 1,
"success": true
}Bad Request
{
"success": false,
"error": "The required \"roomId\" query param is missing. [error-invalid-params]",
"errorType": "error-invalid-params"
}Unauthorized
{
"success": false,
"error": "You must be logged in to do this."
}Forbidden
{
"success": false,
"error": "error-not-allowed",
"errorType": "error-forbidden"
}